function T = test_jank()

opts = delimitedTextImportOptions('NumVariables',45,'Delimiter',';',...
    'VariableTypes',repmat('string',45,1)); % kommentieren, um floats zu bekommen

T = readmatrix('list.txt', opts);

delIdx = true(size(T));

for iRow = 1:height(T) % iterate through rows

    %[~,ia] = unique(T(iRow,4:end)); 
    ia = unique(T(iRow,4:end)); 

    delIdx(iRow, [(1:3)'; ia+3]) = false;

end

T(delIdx) = missing;

writematrix(T, 'nodup_matlab.txt','Delimiter',';');

end
